// pages/myhome/myhome.js

const config = require('../../config.js')
const getReq = config.getReq
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    memberInfo: {},
    sinopec:{},
    petrochina:{},
    phone: {},
    
    pre_pay_count: 0, // 待付款 10
    pre_send_count: 0, // 待发货 20
    pre_receive_count: 0, // 待收货 30
    evaluate_count: 0, // 已收货 40

    userInfo: app.globalData.userInfo
  },

  handleMore(e) {
    const { cardtype } = e.currentTarget.dataset
    if(cardtype === 'invitees') {
      app.navigateto('/pages/invitees/invitees')
    } else {
      app.navigateto(`/pages/postageManage/postageManage?card_type=${cardtype}`)
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () 
  {
    if(!app.globalData.userInfo) {
      return;
    }
    this.setData({
      userInfo: app.globalData.userInfo
    })
    this.getData()
  },

  getData(){
    let self = this;
    getReq(app,{
        act: 'member_info',
        op: 'index',
        page_type: 'oil'
      }, (res) => {
        this.setData({
          firstLoad: false
      });
      if (res.code == 200) {
        console.log(res.datas)
        if(res.datas) {
          const { cards, sub_titles } = res.datas
          const phone = app.getValueByKey('phone', cards)
          const petrochina = app.getValueByKey('petrochina', cards)
          const sinopec = app.getValueByKey('sinopec', cards)
          this.setData({ memberInfo: {...res.datas}, phone, petrochina, sinopec })
        }
      } else {
          app.showToast(res.message)
      }
    })
    getReq(app, {
      act: 'member_vorder',
      op: 'orderCountState'
    }, function (res) {
      if (res.code == 200) {
        self.setData({
          pre_pay_count: 0, // 待付款 10
          pre_send_count: 0, // 待发货 20
          pre_receive_count: 0, // 待收货 30
          evaluate_count: 0,
          firstLoad: false
        })
        let { order_count } = res.datas
        if (order_count.length) {
          let length = order_count.length
          for (let i = 0; i < length; i++) {
            let state_name = ''
            if (order_count[i]['order_state'] == 10) {
              state_name = 'pre_pay_count'
            }
            if (order_count[i]['order_state'] == 20) {
              state_name = 'pre_send_count'
            }
            if (order_count[i]['order_state'] == 30) {
              state_name = 'pre_receive_count'
            }
            if (order_count[i]['order_state'] == 40) {
              state_name = 'evaluate_count'
            }
            if (state_name) {
              self.setData({
                [state_name]: order_count[i]['count']
              })
            }
          }
        }
      }
    })
  },
  getAuth(e) {
    let { userInfo } = e.detail
    if (userInfo) {
      this.setData({
        userInfo:userInfo
      })
      wx.reLaunch({
        url: '/pages/index/index'
      });
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return app.cardShareInfo();
  }
})